Historial de "No contactar" del contacto
curl --request GET \
--url https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"action": "<string>",
"actor": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"unblock_reason": "<string>",
"note": "<string>",
"source_conversation_id": "<string>"
}
]Contatos
Historial de "No contactar" del contacto
Marcaciones y desbloqueos, el más reciente primero, con autor, fecha y motivo.
GET
/
v1
/
contacts
/
{contactId}
/
do-not-contact
/
history
Historial de "No contactar" del contacto
curl --request GET \
--url https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/contacts/{contactId}/do-not-contact/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"action": "<string>",
"actor": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"unblock_reason": "<string>",
"note": "<string>",
"source_conversation_id": "<string>"
}
]Autorizaciones
Token JWT de autenticación
Encabezados
Identificador de la empresa objetivo. Obligatorio solo para API keys globales (type=global).
Parámetros de ruta
ID del contacto
Respuesta
Historial del contacto
ID del evento
MARKED | UNBLOCKED
Quién lo hizo
Show child attributes
Show child attributes
Cuándo
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Motivo de la marcación (MARKED)
Motivo del desbloqueo (UNBLOCKED)
Texto del motivo OTHER
Conversación donde se hizo la marcación